# `Qt6Base_jll.jl` (v6.8.2+1)

[![deps](https://juliahub.com/docs/Qt6Base_jll/deps.svg)](https://juliahub.com/ui/Packages/General/Qt6Base_jll/)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/2b9fbe72cd730fd83b86d25af9295d1d1ed0ea4e/Q/Qt6Base/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `Qt6Base_jll.jl` have been built from these sources:

* compressed archive: https://download.qt.io/official_releases/qt/6.8/6.8.2/submodules/qtbase-everywhere-src-6.8.2.tar.xz (SHA256 checksum: `012043ce6d411e6e8a91fdc4e05e6bedcfa10fcb1347d3c33908f7fdd10dfe05`)
* compressed archive: https://github.com/roblabla/MacOSX-SDKs/releases/download/macosx14.0/MacOSX14.0.sdk.tar.xz (SHA256 checksum: `4a31565fd2644d1aec23da3829977f83632a20985561a2038e198681e7e7bf49`)
* compressed archive: https://sourceforge.net/projects/mingw-w64/files/mingw-w64/mingw-w64-release/mingw-w64-v11.0.1.tar.bz2 (SHA256 checksum: `3f66bce069ee8bed7439a1a13da7cb91a5e67ea6170f21317ac7f5794625ee10`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/2b9fbe72cd730fd83b86d25af9295d1d1ed0ea4e/Q/Qt6Base/bundled)

## Platforms

`Qt6Base_jll.jl` is available for the following platforms:

* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl}` (`aarch64-linux-musl-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl}` (`aarch64-linux-musl-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv7l-linux-musleabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv7l-linux-musleabihf-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl}` (`i686-linux-musl-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl}` (`i686-linux-musl-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc}` (`powerpc64le-linux-gnu-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc}` (`powerpc64le-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl}` (`x86_64-linux-musl-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl}` (`x86_64-linux-musl-cxx11`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)

## Dependencies

The following JLL packages are required by `Qt6Base_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`Fontconfig_jll`](https://github.com/JuliaBinaryWrappers/Fontconfig_jll.jl)
* [`Glib_jll`](https://github.com/JuliaBinaryWrappers/Glib_jll.jl)
* [`Libglvnd_jll`](https://github.com/JuliaBinaryWrappers/Libglvnd_jll.jl)
* [`OpenSSL_jll`](https://github.com/JuliaBinaryWrappers/OpenSSL_jll.jl)
* [`Vulkan_Loader_jll`](https://github.com/JuliaBinaryWrappers/Vulkan_Loader_jll.jl)
* [`Xorg_libSM_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libSM_jll.jl)
* [`Xorg_libXext_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXext_jll.jl)
* [`Xorg_libXrender_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXrender_jll.jl)
* [`Xorg_libxcb_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libxcb_jll.jl)
* [`Xorg_xcb_util_cursor_jll`](https://github.com/JuliaBinaryWrappers/Xorg_xcb_util_cursor_jll.jl)
* [`Xorg_xcb_util_image_jll`](https://github.com/JuliaBinaryWrappers/Xorg_xcb_util_image_jll.jl)
* [`Xorg_xcb_util_keysyms_jll`](https://github.com/JuliaBinaryWrappers/Xorg_xcb_util_keysyms_jll.jl)
* [`Xorg_xcb_util_renderutil_jll`](https://github.com/JuliaBinaryWrappers/Xorg_xcb_util_renderutil_jll.jl)
* [`Xorg_xcb_util_wm_jll`](https://github.com/JuliaBinaryWrappers/Xorg_xcb_util_wm_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)
* [`libinput_jll`](https://github.com/JuliaBinaryWrappers/libinput_jll.jl)
* [`xkbcommon_jll`](https://github.com/JuliaBinaryWrappers/xkbcommon_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libqt6concurrent`
* `LibraryProduct`: `libqt6core`
* `LibraryProduct`: `libqt6dbus`
* `LibraryProduct`: `libqt6gui`
* `LibraryProduct`: `libqt6network`
* `LibraryProduct`: `libqt6opengl`
* `LibraryProduct`: `libqt6openglwidgets`
* `LibraryProduct`: `libqt6printsupport`
* `LibraryProduct`: `libqt6sql`
* `LibraryProduct`: `libqt6test`
* `LibraryProduct`: `libqt6widgets`
* `LibraryProduct`: `libqt6xml`
